Index: LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F	(revision 2597)
@@ -46,9 +46,8 @@
 c    ------------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "serre.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "serre.h"
 c
 c    Arguments :
Index: LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 2597)
@@ -7,4 +7,5 @@
       USE write_field_loc
       USE advect_new_mod
+      USE comconst_mod, ONLY: daysec
       IMPLICIT NONE
 c=======================================================================
@@ -27,11 +28,10 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "logic.h"
+      include "ener.h"
 
 c   Arguments:
@@ -122,5 +122,5 @@
                   
            uav(ij,l)=0.25*(ucov(ij,l)+ucov(ij-iip1,l))
-     .	             +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
+     .               +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
          ENDDO
          
Index: LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 2597)
@@ -27,16 +27,16 @@
       USE control_mod, ONLY: iapp_tracvl, day_step, planet_type
       USE advtrac_mod, ONLY: finmasse
+      USE comconst_mod, ONLY: dtvr
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comdissip.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "logic.h"
+      include "temps.h"
+      include "ener.h"
+      include "description.h"
 
 c-------------------------------------------------------------------
Index: LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2597)
@@ -17,13 +17,13 @@
       use misc_mod
       USE write_field_loc
+      USE comconst_mod, ONLY: cpp, pi
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom2.h"
+      include "temps.h"
+      include "iniprint.h"
 
 c====================================================================
Index: LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F	(revision 2597)
@@ -29,7 +29,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
@@ -210,5 +209,5 @@
 	call resume_timer(timer_caldyn)
 c$OMP END MASTER
-c$OMP BARRIER	
+c$OMP BARRIER
           iadvtr=0
        ENDIF ! if iadvtr.EQ.iapp_tracvl
Index: LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 2597)
@@ -31,9 +31,8 @@
 !   ----------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
 
 !   Arguments:
Index: LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 2597)
@@ -82,6 +82,6 @@
   USE write_field_loc
   USE write_field
+  USE comconst_mod, ONLY: dtphys
   IMPLICIT NONE
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
     INCLUDE "logic.h"
Index: LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 2597)
@@ -17,4 +17,7 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
 
   IMPLICIT NONE
@@ -39,5 +42,4 @@
   include "comdissnew.h"
   include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
Index: LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F	(revision 2597)
@@ -7,4 +7,5 @@
       USE write_field_loc
       USE dissip_mod, ONLY: dissip_allocate
+      USE comconst_mod, ONLY: dtdiss
       IMPLICIT NONE
 
@@ -28,10 +29,9 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comdissnew.h"
-#include "comdissipn.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comdissnew.h"
+      include "comdissipn.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 2597)
@@ -12,9 +12,10 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, &
+                          omeg, rad
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
   include "temps.h"
-  include "comconst.h"
   include "comvert.h"
   include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 2597)
@@ -13,8 +13,8 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var, err, modname, fil
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comvert.h"
   include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2597)
@@ -35,8 +35,9 @@
     USE mod_filtreg_p
     USE write_field_loc
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    IMPLICIT NONE
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2597)
@@ -31,8 +31,9 @@
     USE parallel_lmdz
     USE mod_filtreg_p
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    IMPLICIT NONE
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dmem/friction_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/friction_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/friction_loc.F	(revision 2597)
@@ -12,4 +12,5 @@
       USE ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -26,10 +27,9 @@
 !=======================================================================
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom2.h"
-#include "comconst.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
+      include "academic.h"
 
 ! arguments:
Index: LMDZ5/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/gcm.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/gcm.F90	(revision 2597)
@@ -21,4 +21,5 @@
   USE iniphysiq_mod, ONLY: iniphysiq
 #endif
+  USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
   IMPLICIT NONE
 
@@ -54,5 +55,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comdissnew.h"
   include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 2597)
@@ -3,4 +3,5 @@
       USE Write_field_loc
       USE groupe_mod
+      USE comconst_mod, ONLY: ngroup
       implicit none
 
@@ -16,9 +17,8 @@
 c   pas besoin de w en entree.
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "comvert.h"
 
 !     integer ngroup
Index: LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F	(revision 2597)
@@ -2,10 +2,10 @@
       USE parallel_lmdz
       USE Write_Field_p
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
       INTEGER jjmax,llmax,sb,se,jjb,jje
@@ -136,10 +136,10 @@
 
       USE parallel_lmdz
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 !     INTEGER ngroup
Index: LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 2597)
@@ -346,4 +346,5 @@
     USE control_mod
     USE write_field_loc
+    USE comconst_mod, ONLY: cpp, daysec, dtvr, kappa
     
     IMPLICIT NONE
@@ -351,5 +352,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
 
@@ -748,4 +748,6 @@
   SUBROUTINE guide_zonave_u(typ,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -753,5 +755,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -819,4 +820,6 @@
   SUBROUTINE guide_zonave_v(typ,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -824,5 +827,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -890,4 +892,5 @@
   USE mod_hallo
   USE Bands
+  USE comconst_mod, ONLY: cpp, kappa
   IMPLICIT NONE
 
@@ -896,5 +899,4 @@
   include "comvert.h"
   include "comgeom2.h"
-  include "comconst.h"
 
   REAL, DIMENSION (iip1,jjb_u:jje_u),     INTENT(IN) :: psi ! Psol gcm
@@ -1012,6 +1014,6 @@
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm
-	    DO j=jjbu,jjeu
-		DO i =1, iip1
+            DO j=jjbu,jjeu
+                DO i =1, iip1
                     pls(i,j,l)=(ap(l)+ap(l+1))/2.+psi(i,j)*(bp(l)+bp(l+1))/2.
                 ENDDO
@@ -1030,7 +1032,7 @@
    DO l = 1, llm
        DO j=jjbu,jjeu
-   	DO i =1, iip1
-   	    pls(i,j,l) = preff * ( pk(i,j,l)/cpp) ** unskap
-   	ENDDO
+           DO i =1, iip1
+               pls(i,j,l) = preff * ( pk(i,j,l)/cpp) ** unskap
+           ENDDO
        ENDDO
    ENDDO
@@ -1302,9 +1304,9 @@
         ! Calcul des nouvelles valeurs des niveaux de pression du guidage
         IF (guide_plevs.EQ.1) THEN
-	 CALL Register_Hallo_u(psnat1,1,1,2,2,1,Req)
-	 CALL Register_Hallo_u(psnat2,1,1,2,2,1,Req)
-	 CALL SendRequest(Req)
-!$OMP BARRIER
-	 CALL WaitRequest(Req)
+         CALL Register_Hallo_u(psnat1,1,1,2,2,1,Req)
+         CALL Register_Hallo_u(psnat2,1,1,2,2,1,Req)
+         CALL SendRequest(Req)
+!$OMP BARRIER
+         CALL WaitRequest(Req)
 !$OMP BARRIER
 !$OMP DO
@@ -1320,9 +1322,9 @@
             ENDDO
         ELSE IF (guide_plevs.EQ.2) THEN
-	 CALL Register_Hallo_u(pnat1,llm,1,2,2,1,Req)
-	 CALL Register_Hallo_u(pnat2,llm,1,2,2,1,Req)
-	 CALL SendRequest(Req)
-!$OMP BARRIER
-	 CALL WaitRequest(Req)
+         CALL Register_Hallo_u(pnat1,llm,1,2,2,1,Req)
+         CALL Register_Hallo_u(pnat2,llm,1,2,2,1,Req)
+         CALL SendRequest(Req)
+!$OMP BARRIER
+         CALL WaitRequest(Req)
 !$OMP BARRIER
 !$OMP DO
@@ -1370,9 +1372,10 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
+    use comconst_mod, only: pi
+    
     implicit none
 
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom2.h"
     include "serre.h"
@@ -2127,4 +2130,5 @@
     USE parallel_lmdz
     USE mod_hallo, ONLY : gather_field_u, gather_field_v
+    USE comconst_mod, ONLY: pi
     IMPLICIT NONE
 
@@ -2133,5 +2137,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
     
Index: LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 2597)
@@ -18,4 +18,5 @@
 #endif
   USE Write_Field
+  USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -31,5 +32,4 @@
   include "paramet.h"
   include "comvert.h"
-  include "comconst.h"
   include "comgeom.h"
   include "academic.h"
Index: LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 2597)
@@ -14,4 +14,5 @@
        use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid,       &
      &        dynhistave_file,dynhistvave_file,dynhistuave_file
+       USE comconst_mod, ONLY: pi
        implicit none
 
@@ -41,15 +42,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C   Arguments
Index: LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 2597)
@@ -13,4 +13,5 @@
        use Write_field
        use misc_mod
+       USE comconst_mod, ONLY: pi
        
       implicit none
@@ -43,15 +44,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C   Arguments
@@ -166,5 +166,5 @@
      .             filevid,dynv_domain_id)
 	
-      rl(1,1) = 1.	
+      rl(1,1) = 1.
       
       if (mpi_rank==0) then
Index: LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 2597)
@@ -14,4 +14,5 @@
        use com_io_dyn_mod, only : histid,histvid,histuid,               &
      &                        dynhist_file,dynhistv_file,dynhistu_file
+       USE comconst_mod, ONLY: pi
        implicit none
 
@@ -40,15 +41,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C   Arguments
Index: LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2597)
@@ -12,4 +12,5 @@
       USE integrd_mod
       USE infotrac, ONLY: ok_iso_verif ! ajout CRisi
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -30,14 +31,12 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
-#include "iniprint.h"
-!      include 'mpif.h'
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comvert.h"
+      include "logic.h"
+      include "temps.h"
+      include "serre.h"
+      include "iniprint.h"
 
 c   Arguments:
@@ -335,5 +334,5 @@
       ije=ij_end
 
-	 if (planet_type.eq."earth") then
+         if (planet_type.eq."earth") then
 ! Earth-specific treatment of first 2 tracers (water)
 c$OMP BARRIER
@@ -452,6 +451,6 @@
           DO l = 1, llm
             massem1(ijb:ije,l)=massescr(ijb:ije,l)
-	  ENDDO
-c$OMP END DO NOWAIT	  
+          ENDDO
+c$OMP END DO NOWAIT          
       END IF
 c$OMP BARRIER
Index: LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2597)
@@ -32,4 +32,5 @@
        use exner_hyb_loc_m, only: exner_hyb_loc
        use exner_milieu_loc_m, only: exner_milieu_loc
+       USE comconst_mod, ONLY: cpp, dtvr, ihf
       IMPLICIT NONE
 
@@ -65,19 +66,16 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissnew.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
-!#include "com_io_dyn.h"
-#include "iniprint.h"
-#include "academic.h"
-!      include "mpif.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissnew.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "logic.h"
+      include "temps.h"
+      include "ener.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
+      include "academic.h"
       
       REAL,INTENT(IN) :: time_0 ! not used
Index: LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F90	(revision 2597)
@@ -10,5 +10,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comgeom.h"
 !===============================================================================
Index: LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 2597)
@@ -16,8 +16,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c  .....   arguments  ....
Index: LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2597)
@@ -27,4 +27,5 @@
 c=======================================================================
       USE parallel_lmdz
+      USE comconst_mod, ONLY: cpp, omeg, rad
 
       IMPLICIT NONE
@@ -33,10 +34,9 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2597)
@@ -4,11 +4,12 @@
       SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
       USE parallel_lmdz
+      USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
+     &                        tau_top_bound
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom2.h"
 
 
@@ -40,5 +41,5 @@
 ! NB: top_bound sponge is only called from leapfrog if ok_strato=.true.
 
-! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst.h)
+! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst_mod)
 !    iflag_top_bound=0 for no sponge
 !    iflag_top_bound=1 for sponge over 4 topmost layers
@@ -74,5 +75,5 @@
       REAL tzon(jjb_u:jje_u,llm)
       
-      integer i	
+      integer i
       REAL,SAVE :: rdamp(llm)
       real,save :: lambda(llm) ! inverse or quenching time scale (Hz)
Index: LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2597)
@@ -17,9 +17,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
@@ -417,12 +416,12 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,nqfils,nqdesc,iqfils ! CRisi
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
@@ -875,9 +874,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2597)
@@ -31,12 +31,12 @@
      &    ok_iso_verif
       USE vlspltgen_mod
+      USE comconst_mod, ONLY: cpp
       IMPLICIT NONE
 
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 
 c
@@ -100,11 +100,11 @@
 
         
-	ijb=ij_begin-iip1
-	ije=ij_end+iip1
-	if (pole_nord) ijb=ij_begin
-	if (pole_sud) ije=ij_end
-	
+        ijb=ij_begin-iip1
+        ije=ij_end+iip1
+        if (pole_nord) ijb=ij_begin
+        if (pole_sud) ije=ij_end
+        
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
-	DO l = 1, llm
+        DO l = 1, llm
          DO ij = ijb, ije
           tempe(ij) = teta(ij,l) * pk(ij,l) /cpp
@@ -208,19 +208,19 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALO        
 ! CRisi: on ajoute les nombres de fils et tableaux des fils
 ! On suppose qu'on ne peut advecter les fils que par le schéma 10.  
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_begin+2*iip1-1,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_begin+2*iip1-1,iq)
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_end-2*iip1+1,ij_end,iq)
 #else
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_end,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_end,iq)
 #endif
 
@@ -240,5 +240,5 @@
           call VTe(VTHallo)
 c$OMP END MASTER
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 
 #ifdef _ADV_HALO           
@@ -268,6 +268,6 @@
 c$OMP END MASTER 
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -301,8 +301,8 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALLO
@@ -310,5 +310,5 @@
      &                 ij_begin+2*iip1,ij_end-2*iip1,iq)
 #endif        
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 #ifdef _ADV_HALLO
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -316,6 +316,6 @@
 #endif    
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -358,12 +358,12 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -371,6 +371,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -389,8 +389,8 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 
 c$OMP BARRIER        
@@ -420,9 +420,9 @@
 c$OMP MASTER
           call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 c$OMP BARRIER
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -439,5 +439,5 @@
 c$OMP MASTER
       call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 
 
@@ -451,8 +451,8 @@
 
         if(iadv(iq) == 0) then
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 c$OMP BARRIER        
 
@@ -464,6 +464,6 @@
 c$OMP BARRIER        
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -501,12 +501,12 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -514,6 +514,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -532,13 +532,13 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_begin,ij_end,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -546,5 +546,5 @@
  
         else
-	
+        
           stop 'vlspltgen_p : schema non parallelise'
       
@@ -574,6 +574,6 @@
            DO ij=ijb,ije
 c             print *,'zq-->',ij,l,iq,zq(ij,l,iq)
-c	     print *,'q-->',ij,l,iq,q(ij,l,iq)
-	     q(ij,l,iq)=zq(ij,l,iq)
+c             print *,'q-->',ij,l,iq,q(ij,l,iq)
+             q(ij,l,iq)=zq(ij,l,iq)
            ENDDO
         ENDDO
Index: LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2597)
@@ -12,9 +12,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
@@ -420,12 +419,12 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,nqfils,nqdesc,iqfils ! CRisi  
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2597)
@@ -13,4 +13,5 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid
+      USE comconst_mod, ONLY: cpp
       implicit none
 
@@ -41,15 +42,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2584)
+++ LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2597)
@@ -13,4 +13,5 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histid,histvid,histuid
+      USE comconst_mod, ONLY: cpp
       implicit none
 
@@ -41,15 +42,14 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "temps.h"
+      include "ener.h"
+      include "logic.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
 
 C
